Subject: bug#55514: 29.0.50; Keyboard macros and visual-line-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 22 May 2022 13:14:37 +0200

Eli Zaretskii <[email-masked]> writes:

> Not sure I follow.  When you recorded the macro, was C-n moving by
> logical lines or by screen lines?  If the former, how did you get it
> to move by logical lines, when the default is to move by screen lines?

That is what this bug report is about -- recording and executing macros.

> Write a command that binds line-move-visual to nil and invokes
> next-line, then bind it to some key, and use that key when you record
> the macro.

I think we'll just have to let this rest for a while, because we've been
over this too many times.  The original bug report really has all the
details.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no